#include <ESP8266WiFi.h>                                        // Подключаем библиотеку ESP8266WiFi

const char* ssid =     "ЛОГИН";                                 // Название Вашей WiFi сети
const char* password = "ПАРОЛЬ";                              // Пароль от Вашей WiFi сети

WiFiServer server(80);                                          // веб-сервер на порте 80

void setup() {
  Serial.begin(115200);                                         // Скорость передачи 115200 
    
  delay(10);                                                    // Пауза 10 мкс  
 
  // подключаемся к WiFi-сети:
  Serial.println();
  Serial.print("Подключаемся к ");                              //Подключаемся к 
  Serial.println(ssid);                                         // Название Вашей WiFi сети 
  
  WiFi.begin(ssid, password);
  
  while (WiFi.status() != WL_CONNECTED) {                       // Проверка подключения к WiFi сети
    delay(500);                                                 // Пауза 500 мкс
    Serial.print(".");                                          // Выводим ряд точек, чтобы показать не завис
  }
  Serial.println("");
  Serial.println("Подключение к WiFi выполнено");               //  "Подключение к WiFi выполнено"               
  
  
  server.begin();                                               // запускаем веб-сервер:
  Serial.println("Веб-сервер запущен. Ждем IP-адрес ESP...");   // "Веб-сервер запущен. Ждем IP-адрес ESP..."
  delay(15000);                                                 // Пауза 15 cek
  Serial.println("IP-адрес - ");                                // "Веб-сервер запущен. Ждем IP-адрес ESP..."
  Serial.println(WiFi.localIP());                               // печатаем IP-адрес ESP:
}

void loop() {
}
